/* ArticleDrawerController */

#import <Cocoa/Cocoa.h>
#import "Library.h"
#import "Article.h"

@interface ArticleDrawerController : NSObject
{
    IBOutlet NSTextField *author;
    IBOutlet NSTextField *importDate;
    IBOutlet NSTextField *journal;
    IBOutlet NSTextField *number;
    IBOutlet NSTextField *pages;
    IBOutlet NSTextField *title;
    IBOutlet NSTextField *type;
    IBOutlet NSTextField *typeid;
    IBOutlet NSTextField *volume;
    IBOutlet NSTextField *year;
    IBOutlet NSTextView* memo;	
    IBOutlet NSButton* editButton;	

    IBOutlet NSTableView* _supplementFileTable;
	NSMutableArray* _supplementFiles;

	NSNumber* articleID;
	Article* _article;
	
	BOOL _modified;
}
-(void)setContents:(Article*)article;
-(void)resetContents;

- (BOOL)isModified;
- (void)writeDB;

- (IBAction)Edit:(id)sender;
@end
