//
//  Favorite.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 04/09/13.
//  Copyright 2004-2005 Toshihiro Aoyama. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Source.h"

@interface FavoriteItem : Source {
@private
	NSMutableArray* _articles;
	id _parentObject;
	id recieveObject;

	BOOL isImporting;
}
+ (id)newFavoriteItem:(NSString*) name;
+ (id)newFavoriteItemFromDictionary:(NSDictionary*)dictionary;

- (id)setArticleList:(NSArray*)articleList;

- (void)addArticles:(NSArray*)articles;
- (void)removeArticles:(NSArray*)articles;
- (id)setParentObject:(id)item;
- (id)parentObject;

- (unsigned)count;

- (NSString*)description;
- (void)articlesList;
- (unsigned)numberOfarticles;
- (NSArray*)arrayOfArticlesList;

- (NSDictionary*)dictionaryOfFavoriteItem;

- (void)applicationDidFinishLanching;
- (void)didFinishImport:(NSNotification*)notification;

- (void)articlesForSearchKey:(NSString*)keyword;

- (void)importFiles:(NSArray*)filenames;

@end
