/* AuthController */

#import <Cocoa/Cocoa.h>

@interface AuthController : NSObject
{
    IBOutlet NSPanel *_authPanel;
    IBOutlet NSSecureTextField *_password;
    IBOutlet NSTextField *_user;

    NSURLAuthenticationChallenge*   _challenge;
    NSModalSession session;
}
- (IBAction)ok:(id)sender;
- (NSURLAuthenticationChallenge*)authenticationChallenge;
- (void)setAuthenticationChallenge:(NSURLAuthenticationChallenge*)authChallenge;
- (void)show;
- (NSWindow*)window;
- (NSString*)user;
- (NSString*)password;
@end
