/* FavoriteInfoController */

#import "Favorite.h"

@interface FavoriteInfoController : NSObject
{
    IBOutlet NSPanel* favoriteInfoPanel;
    IBOutlet NSTextView* references;

    IBOutlet NSPopUpButton* Contents1;
    IBOutlet NSPopUpButton* Contents2;
    IBOutlet NSPopUpButton* Contents3;
    IBOutlet NSPopUpButton* Contents4;
    IBOutlet NSPopUpButton* Contents5;
    IBOutlet NSPopUpButton* Contents6;

    IBOutlet NSTextField* Separator1;
    IBOutlet NSTextField* Separator2;
    IBOutlet NSTextField* Separator3;
    IBOutlet NSTextField* Separator4;
    IBOutlet NSTextField* Separator5;
    IBOutlet NSTextField* Separator6;

    IBOutlet NSTableView* styleTable;

    NSModalSession session;
	
	FavoriteItem* Favorite;
	
	NSMutableArray* formatStyle;
}
- (void)openInfoPanel:(FavoriteItem*)favorite;
- (NSArray*)format;
- (NSDictionary*)style;

- (void)saveFormatStyle;

- (IBAction)add:(id)sender;
- (IBAction)remove:(id)sender;

- (IBAction)okAction:(id)sender;
- (IBAction)cancelAction:(id)sender;
- (IBAction)reformat:(id)sender;
- (IBAction)copyBuffer:(id)sender;

-(void)setFavorite:(FavoriteItem*)f;

-(void)reformatting:(NSArray*)format;
@end
