/* PreferencePanelController */

#import <Cocoa/Cocoa.h>

@interface PreferencePanelController : NSObject
{
	IBOutlet NSPanel *preferencePanel;
	IBOutlet NSTabView *PreferenceTab;

// General
	IBOutlet NSButton *copyPDFFile;
	IBOutlet NSTextField *iPapersFolderLocation;

// Appearance
	IBOutlet NSPopUpButton *sourceTextSize;
	IBOutlet NSPopUpButton *articleTextSize;
	IBOutlet NSPopUpButton *abstractTextSize;

// Table
	IBOutlet NSButton *MemoFlag;
	IBOutlet NSButton *PDFFlag;
	IBOutlet NSButton *Author;
	IBOutlet NSButton *Journal;
	IBOutlet NSButton *Title;
	IBOutlet NSButton *Volume;
	IBOutlet NSButton *Year;
	IBOutlet NSButton *Pages;
	IBOutlet NSButton *Submitdate;
	IBOutlet NSButton *MyRate;

	IBOutlet NSButton *limitNumberOfArticle;
	IBOutlet NSTextField *numberOfLimittedArticle;
	IBOutlet NSStepper *stepperOfLimittedArticle;

// PubMed
	IBOutlet NSTextField* PubMedWaitTime;
	IBOutlet NSTextField* PubMedNumberOfResultOFWarning;
	IBOutlet NSButton *storeAbstract;
	IBOutlet NSButton *automaticallyDownload;
	IBOutlet NSButton *automaticallyImport;
	IBOutlet NSButton *calculateScore;
    NSModalSession session;
	
// Annotation
	IBOutlet NSButton *useAnnotation;
	IBOutlet NSTextField* AnnotationServer;
	
}
- (void)openPreferencePanel:(id)sender;
- (void)setUserDefaults;

// General
- (IBAction)modifyiPapersFolderLocation:(id)sender;
- (IBAction)resetiPapersFolderLocation:(id)sender;

- (IBAction)OKPreferencePanel:(id)sender;
@end
